Package org.apache.commons.math3.optim.nonlinear.scalar.gradient

# Class NonLinearConjugateGradientOptimizer.BracketingStep

java.lang.Object
org.apache.commons.math3.optim.nonlinear.scalar.gradient.NonLinearConjugateGradientOptimizer.BracketingStep

All Implemented Interfaces:
  `OptimizationData`

Enclosing class:
  `NonLinearConjugateGradientOptimizer`

@Deprecated public static class NonLinearConjugateGradientOptimizer.BracketingStep extends Object implements OptimizationData
Deprecated.
As of v3.3, this class is not used anymore. This setting is replaced by the `initialBracketingRange` argument to the new constructors.
The initial step is a factor with respect to the search direction (which itself is roughly related to the gradient of the function).
It is used to find an interval that brackets the optimum in line search.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`BracketingStep(double step)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`double`
`getBracketingStep()`
Deprecated.
Gets the initial step.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BracketingStep

public BracketingStep(double step)
Deprecated.

Parameters:
  `step` - Initial step for the bracket search.

## Method Details

### getBracketingStep

public double getBracketingStep()
Deprecated.
Gets the initial step.

Returns:
  the initial step.